Loading...
Searching...
No Matches
pw-loopback

PipeWire loopback client

# SYNOPSIS

pw-loopback [options]

# DESCRIPTION

The pw-loopback program is a PipeWire client that uses the PipeWire loopback module to create loopback nodes, with configuration given via the command-line options.

# OPTIONS

-h | --help
  Show help.

-r | --remote=NAME
  The name of the remote instance to connect to. If left unspecified, a connection is made to the default PipeWire instance.

-n | --name=NAME
  Name of the loopback node

-g | --group=NAME
  Name of the loopback node group

-c | --channels=NUMBER
  Number of channels to provide

-m | --channel-map=MAP
  Channel map (default [ FL, FR ])

-l | --latency=LATENCY
  Desired latency in ms

-d | --delay=DELAY
  Added delay in seconds (floating point allowed)

-C | --capture=TARGET
  Target device to capture from

-P | --playback=TARGET
  Target device to play to

-i | --capture-props=PROPS
  Wanted properties of capture node (in JSON)

-o | --playback-props=PROPS
  Wanted properties of playback node (in JSON)

# AUTHORS

The PipeWire Developers <https://gitlab.freedesktop.org/pipewire/pipewire/issues>; PipeWire is available from <https://pipewire.org>

# SEE ALSO

pipewire(1), pw-cat(1), pactl(1)

Other ways to create loopback nodes are adding the loopback module in the configuration of a PipeWire daemon, or loading the loopback module using Pulseaudio commands (pactl load-module module-loopback ...).